/* remove browser default padding & margins*/
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

.container {
    /* effects entire website */
    width: 90%;
    max-width: 800px;
    min-height: 100vh;
    background-color: rgb(248, 225, 203);
    margin: auto;
    padding: 20px;
}

header {
    background-color: rgb(192, 156, 122);
    padding: 5%;
    margin: 10px;
}

h1 {
    /* Titles */
    font-size: 55px;
    color: rgb(63, 45, 29);
    text-align: center;
    font-size: 70px;
    font-family: "Nanum Pen Script", cursive;
    padding-bottom: 15px;
}

/* Navigation/link stuff start here D: */
nav ul {
    list-style-type: none;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(250, 235, 215);
    height: 3px;
}

nav a {
    text-decoration: none;
    color: rgb(112, 86, 61);
    border: 3px solid rgb(112, 86, 61);
    background-color: rgb(217, 192, 168);
    padding: 5px;
    margin-left: 5px;
    margin-right: 5px;
    width: 20%;
    height: 20%;
}

nav a:hover {
    color: rgb(80, 61, 43);
    background-color: rgb(179, 157, 137);
}

.pagelocator{
    background-color: rgb(148, 119, 93);
    border: 3px solid rgb(63, 45, 29);
    color: rgb(63, 45, 29);
}

/* Navigation/link stuff stops here bruah :D */


/* other text */

h2 {
    text-align: center;
    color: rgb(94, 68, 45);
    font-size: 35px;

}

h3 {
    padding-top: 10px;
    text-align: center;
    color: rgb(94, 68, 45);
    font-size: 30px;
}

h4 {
    padding-top: 10px;
    text-align: center;
    color: rgb(94, 68, 45);
    font-size: 25px;
    font-family: "Nanum Pen Script", cursive;
}

p {
    padding: 10px;
    text-align: center;
    color: rgb(94, 68, 45);
    font-size: 18px;
}

/* end of text */

main {
    background-color: rgb(226, 191, 158);
    padding: 30px;
}

img {
    width: 100%;
    padding: 20px;
}

body {
    background-color: rgb(80, 58, 38);
    font-family: "Sour Gummy", sans-serif;
}
footer{
    padding: 5%;
    margin: 10px;
    background-color: rgb(192, 156, 122);
    
}

/* colour notes */

.rgb {
    width: 60%;
    border: 2px solid rgb(0, 0, 0);
    text-align: center;
    padding: 10px;
    margin: 1em auto;
}

#maincolour {
    background-color: rgb(248, 225, 203);
    color: black;
}

#paragraphcolour {
    background-color: rgb(226, 191, 158);
    color: black;
}

#headercolour {
    background-color: rgb(192, 156, 122);
    color: black;
}

#textcolour {
    background-color: rgb(94, 68, 45);
    color: white;
}

#headertextcolour {
    background-color: rgb(63, 45, 29);
    color: white;
}

#backgroundcolour {
    background-color: rgb(80, 58, 38);
    color: white;
}

#linkbackground {
    background-color: rgb(216, 191, 168);
    color: black;
}

#linkfontandbordercolour {
    background-color: rgb(112, 86, 61);
    color: white;
}
#linkbgline{
    background-color: antiquewhite;
    color: black;

}
#darkerlinkbg {
    background-color:  rgb(179, 157, 137);
    color: black;
}
#darkerfontandborder {
    background-color: rgb(80, 61, 43);
    color: white;
}
#locatorcolour {
    background-color: rgb(148, 119, 93);
    color: black;
}
/* end of colour notes */